/*
 * JBoss, Home of Professional Open Source
 * Copyright 2014, Red Hat Middleware LLC, and individual contributors
 * by the @authors tag. See the copyright.txt in the distribution for a
 * full listing of individual contributors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.arquillian.spacelift.execution.impl;

import org.arquillian.spacelift.execution.ExecutionService;
import org.arquillian.spacelift.execution.Tasks;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.arquillian.test.api.ArquillianResource;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

import static org.hamcrest.CoreMatchers.is;
import static org.hamcrest.CoreMatchers.notNullValue;

@RunWith(Arquillian.class)
public class ExtensionLoadTest {

    @ArquillianResource
    ExecutionService executionService;

    @Test
    public void ensureExtensionCanBeLoaded() {
        Assert.assertThat("Extension was loaded and ExecutionServiceFactory was set",
            Tasks.getExecutionServiceFactoryInstance(),
            is(notNullValue()));

        Assert.assertThat("ExecutionService was injected", executionService, is(notNullValue()));
    }
}
